Package org.apache.wiki.util

## Enum URIScheme

- java.lang.Object
- - java.lang.Enum<URIScheme>
  - - org.apache.wiki.util.URIScheme

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<URIScheme>`

    public enum URIScheme
    extends java.lang.Enum<URIScheme>

Enumerates supported URI schemes.

### Enum Constant Summary

Enum Constants
`HTTP`
`HTTPS`

### Field Summary

Fields
`java.lang.String` `id`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getId()`
`boolean` `same​(java.lang.String scheme)`
`java.lang.String` `toString()`
`static URIScheme` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static URIScheme[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HTTP

    public static final URIScheme HTTP

#### HTTPS

    public static final URIScheme HTTPS

### Field Detail

#### id

    public final java.lang.String id

### Method Detail

#### values

    public static URIScheme[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (URIScheme c : URIScheme.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static URIScheme valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getId

    public java.lang.String getId()

#### same

    public boolean same​(java.lang.String scheme)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Enum<URIScheme>`